# Default values for deployment, this is necessary because we're using a unified helm subchart
deployment:

  # The minimum/default number of pods to run
  replicaCount: 2

  # This is the name of the deployment, this is used in a _lot_ of places in the helm charts so lets just specify it
  name: abdi-front
  # What group we're in in gitlab and what namespace we deploy to in kubernetes
  image:
    repository: "207909261677.dkr.ecr.us-east-1.amazonaws.com/abdi/abdi-front"
    imagePullPolicy: Always
    # This is for testing things, uncomment the next two lines
    # command: ["php", "artisan", "serve", "--host=0.0.0.0", "--port=8000"]
    # args: ["-c", "while true; do echo hello; sleep 10;done"]

  # This service listens on port 3000
  service:
    targetPort: 3000

  ingress:
    enabled: true

  # livenessProbes are used to determine when to restart a container
  # Only specify the values you need to override from the defaults
  livenessProbe:
    enabled: true
    probeType: tcpSocket

  # readinessProbes are used to determine when a container is ready to start accepting traffic
  # Only specify the values you need to override from the defaults
  readinessProbe:
    enabled: true
    probeType: tcpSocket

  # This MUST be enabled for consul to work properly
  serviceAccount:
    enabled: true

  # deployment container resource requests/limits
  # this is set VERY low by default, to be aggressive above resource limiting, please override this if necessary
  # Note: Limits are HARD Limits
  #       Requests are "soft" limits and are what affects HPA (autoscaling) aggressiveness if HPA is enabled
#  resources:
#    limits:
#     cpu: 150m
#     memory: 500Mi
#    requests:
#     cpu: 50m
#     memory: 200Mi
